Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1883927 - Deployment with encryption at rest is failing to bring up OSD pods
Summary: Deployment with encryption at rest is failing to bring up OSD pods
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: rook
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: OCS 4.6.0
Assignee: Sébastien Han
QA Contact: Petr Balogh
URL:
Whiteboard:
Depends On: 1879072
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-30 14:08 UTC by Petr Balogh
Modified: 2020-12-17 06:25 UTC (History)
9 users (show)

Fixed In Version: 4.6.0-106.ci
Doc Type: No Doc Update
Doc Text:
Clone Of: 1879072
Environment:
Last Closed: 2020-12-17 06:24:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift rook pull 128 0 None closed Bug 1883927: ceph: disable keyring after opening encrypted block 2020-12-15 10:04:34 UTC
Github rook rook pull 6350 0 None closed ceph: disable keyring after opening encrypted block 2020-12-15 10:04:33 UTC
Red Hat Product Errata RHSA-2020:5605 0 None None None 2020-12-17 06:25:26 UTC

Comment 1 Petr Balogh 2020-09-30 14:13:14 UTC
Created as the clone of the BZ https://bugzilla.redhat.com/show_bug.cgi?id=1879072

And last update relevant to this one is https://bugzilla.redhat.com/show_bug.cgi?id=1879072#c11

Sebastien is working on fix already.

Comment 4 Mudit Agarwal 2020-09-30 17:30:20 UTC
Petr, qa_ack pls

Comment 6 Petr Balogh 2020-10-02 10:14:33 UTC
Deployment passed here:
https://ocs4-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/qe-deploy-ocs-cluster/12963/consoleFull

Build used:
quay.io/rhceph-dev/ocs-registry:4.6.0-107.ci

I see:
sh-4.4# lsblk
NAME                                         MAJ:MIN RM   SIZE RO TYPE  MOUNTPOINT
loop1                                          7:1    0   256G  0 loop
sda                                            8:0    0   120G  0 disk
|-sda1                                         8:1    0   384M  0 part  /boot
|-sda2                                         8:2    0   127M  0 part  /boot/efi
|-sda3                                         8:3    0     1M  0 part
`-sda4                                         8:4    0 119.5G  0 part
  `-coreos-luks-root-nocrypt                 253:0    0 119.5G  0 dm    /sysroot
sdb                                            8:16   0    10G  0 disk  /var/lib/kubelet/pods/a32447d5-3eb9-420a-8b35-cb23795c19be/volumes/kubernetes.io~vsphere-volume/pvc-1e33da30-63c7-4062-a0f5-74f7e40666b7
sdc                                            8:32   0   256G  0 disk
`-ocs-deviceset-1-data-0-b25mp-block-dmcrypt 253:1    0   256G  0 crypt
rbd0                                         252:0    0    50G  0 disk  /var/lib/kubelet/pods/274e6153-5a6c-418c-b402-98656fcf4725/volumes/kubernetes.io~csi/pvc-8adb33f5-b5af-4165-a782-7edf4262bd7e/mount
rbd1                                         252:16   0    40G  0 disk  /var/lib/kubelet/pods/66a6b5a6-7280-4175-835f-f970ef3ee3d7/volumes/kubernetes.io~csi/pvc-79653959-b5e1-4128-bfff-2629cd1ac84b/mount
rbd2                                         252:32   0    40G  0 disk  /var/lib/kubelet/pods/5833040d-6a16-41e8-8cd0-010be5e0f21b/volumes/kubernetes.io~csi/pvc-803187f8-dfef-4c03-833d-fdfb00bd6a85/mount


So considering it as verified

Comment 9 errata-xmlrpc 2020-12-17 06:24:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat OpenShift Container Storage 4.6.0 security, bug fix, enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5605


Note You need to log in before you can comment on or make changes to this bug.